Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Interface DTDConstants

All Known Implementing Classes:
  AttributeList, DTD, Element, Parser, Entity

public interface DTDConstants

SGML constants used in a DTD. The names of the constants correspond the the equivalent SGML constructs as described in "The SGML Handbook" by Charles F. Goldfarb.

See Also:
  `DTD`, `Element`

Field Summary
`static int` | `ANY`
`static int` | `CDATA`
`static int` | `CONREF`
`static int` | `CURRENT`
`static int` | `DEFAULT`
`static int` | `EMPTY`
`static int` | `ENDTAG`
`static int` | `ENTITIES`
`static int` | `ENTITY`
`static int` | `FIXED`
`static int` | `GENERAL`
`static int` | `ID`
`static int` | `IDREF`
`static int` | `IDREFS`
`static int` | `IMPLIED`
`static int` | `MD`
`static int` | `MODEL`
`static int` | `MS`
`static int` | `NAME`
`static int` | `NAMES`
`static int` | `NMTOKEN`
`static int` | `NMTOKENS`
`static int` | `NOTATION`
`static int` | `NUMBER`
`static int` | `NUMBERS`
`static int` | `NUTOKEN`
`static int` | `NUTOKENS`
`static int` | `PARAMETER`
`static int` | `PI`
`static int` | `PUBLIC`
`static int` | `RCDATA`
`static int` | `REQUIRED`
`static int` | `SDATA`
`static int` | `STARTTAG`
`static int` | `SYSTEM`

Field Detail

### CDATA

    public static final int CDATA

### ENTITY

    public static final int ENTITY

### ENTITIES

    public static final int ENTITIES

### ID

    public static final int ID

### IDREF

    public static final int IDREF

### IDREFS

    public static final int IDREFS

### NAME

    public static final int NAME

### NAMES

    public static final int NAMES

### NMTOKEN

    public static final int NMTOKEN

### NMTOKENS

    public static final int NMTOKENS

### NOTATION

    public static final int NOTATION

### NUMBER

    public static final int NUMBER

### NUMBERS

    public static final int NUMBERS

### NUTOKEN

    public static final int NUTOKEN

### NUTOKENS

    public static final int NUTOKENS

### RCDATA

    public static final int RCDATA

### EMPTY

    public static final int EMPTY

### MODEL

    public static final int MODEL

### ANY

    public static final int ANY

### FIXED

    public static final int FIXED

### REQUIRED

    public static final int REQUIRED

### CURRENT

    public static final int CURRENT

### CONREF

    public static final int CONREF

### IMPLIED

    public static final int IMPLIED

### PUBLIC

    public static final int PUBLIC

### SDATA

    public static final int SDATA

### PI

    public static final int PI

### STARTTAG

    public static final int STARTTAG

### ENDTAG

    public static final int ENDTAG

### MS

    public static final int MS

### MD

    public static final int MD

### SYSTEM

    public static final int SYSTEM

### GENERAL

    public static final int GENERAL

### DEFAULT

    public static final int DEFAULT

### PARAMETER

    public static final int PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.